<?php

use Concrete\Core\Package\PackageService;

defined('C5_EXECUTE') or die('Access Denied.');

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
$pkg = $app->make(PackageService::class)->getByHandle('jl_elephpant_info');
$dashboard_pages = $pkg->list_dashboard_pages($pkg);
$page = Page::getCurrentPage();
$current_path = $page->getCollectionPath();
$interface = $app->make('helper/concrete/ui');
$first_class = 'info_first_extra';
foreach ($dashboard_pages as $path => $page_setup) {
    if($path === $current_path){
        continue;
    }
    $url = URL::to($path);
    ?>
    <li class="info_extra <?php echo $first_class;?>">
        <?php
        echo $interface->submit($page_setup['cName'], $path, 'left', 'btn-link');
        ?>
    </li>
    <?php
    $first_class='';
}
