<?php
defined('C5_EXECUTE') or die('Access Denied.');

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
?>
<script type="text/javascript">
    (function ($) {
        $(document).ready(function () {
            /*
             * v9 has a new and more complex way of declaring header menu fragments
             * that is not compatible with v8 code. Easiest fix is to move the menu
             * after we have started
             */
            var relocate_menu = function () {
                var elephant_menu_v9 = $('.elephant-v9-header');
                var v9_menu_location = $('.ccm-dashboard-header-menu');
                if (!v9_menu_location.length || !v9_menu_location.length || !v9_menu_location.html().length) {
                    return;
                }
                elephant_menu_v9.removeClass('elephant-v9-header');
                v9_menu_location.append(elephant_menu_v9);
            };
            relocate_menu();
        });
    })(jQuery);
</script>